QGArray(3qt)

NAME
QGArray - Internal class for implementing the QArray class

SYNOPSIS

#include <qgarray.h>

Inherited by QArray.

  Public Members
QGArray ()

  Protected Members
QGArray ( int, int )
QGArray ( int size )
QGArray ( const QGArray & a )
virtual ~QGArray ()
QGArray& operator= ( const QGArray & a )
virtual void detach ()
char* data () const
uint nrefs () const
uint size () const
bool isEqual ( const QGArray & a ) const
bool resize ( uint newsize )
bool fill ( const char * d, int len, uint sz )
QGArray& assign ( const QGArray & a )
QGArray& assign ( const char * d, uint len )
QGArray& duplicate ( const QGArray & a )
QGArray& duplicate ( const char * d, uint len )
void store ( const char * d, uint len )
array_data* sharedBlock () const
void setSharedBlock ( array_data * p )
QGArray& setRawData ( const char * d, uint len )
void resetRawData ( const char * d, uint len )
int find ( const char * d, uint index, uint sz ) const
int contains ( const char * d, uint sz ) const
char* at ( uint index ) const
bool setExpand ( uint index, const char * d, uint sz )
virtual array_data* newData ()
virtual void deleteData ( array_data * p )

DESCRIPTION
The QGArray class is an internal class for implementing the QArray class.

QGArray is a strictly internal class that acts as base class for the QArray template array.

It contains an array of bytes and has no notion of an array element.

MEMBER FUNCTION DOCUMENTATION

QGArray::QGArray ()
For internal use only.

QGArray::QGArray ( const QGArray & a ) [protected]
For internal use only.

QGArray::QGArray ( int size ) [protected]
For internal use only.

QGArray::QGArray ( int, int ) [protected]
For internal use only.

QGArray::~QGArray () [virtual protected]
For internal use only.

QGArray & QGArray::assign ( const QGArray & a ) [protected]
For internal use only.

QGArray & QGArray::assign ( const char * d, uint len ) [protected]
For internal use only.

char * QGArray::at ( uint index ) const [protected]
For internal use only.

int QGArray::contains ( const char * d, uint sz ) const [protected]
For internal use only.

char * QGArray::data () const [protected]
For internal use only.

void QGArray::deleteData ( array_data * p ) [virtual protected]
For internal use only.

void QGArray::detach () [virtual protected]
For internal use only.

Reimplemented in QBitArray, QArray and QByteArray.

QGArray & QGArray::duplicate ( const QGArray & a ) [protected]
For internal use only.

QGArray & QGArray::duplicate ( const char * d, uint len ) [protected]
For internal use only.

bool QGArray::fill ( const char * d, int len, uint sz ) [protected]
For internal use only.

int QGArray::find ( const char * d, uint index, uint sz ) const [protected]
For internal use only.

bool QGArray::isEqual ( const QGArray & a ) const [protected]
For internal use only.

array_data * QGArray::newData () [virtual protected]
For internal use only.

uint QGArray::nrefs () const [protected]
For internal use only.

QGArray & QGArray::operator= ( const QGArray & a ) [protected]
For internal use only.

void QGArray::resetRawData ( const char * d, uint len ) [protected]
For internal use only.

bool QGArray::resize ( uint newsize ) [protected]
For internal use only.

bool QGArray::setExpand ( uint index, const char * d, uint sz ) [protected]
For internal use only.

QGArray & QGArray::setRawData ( const char * d, uint len ) [protected]
For internal use only.

void QGArray::setSharedBlock ( array_data * p ) [protected]
For internal use only.

array_data * QGArray::sharedBlock () const [protected]
For internal use only.

uint QGArray::size () const [protected]
For internal use only.

void QGArray::store ( const char * d, uint len ) [protected]
For internal use only.

SEE ALSO
http://www.troll.no/qt/qgarray.html

COPYRIGHT
Copyright 1992-1997 Troll Tech AS. See the LICENSE file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.